<template>
  <div class="split-view">
    <navigation class="nav" />
    <router-view />
  </div>
</template>

<script lang="ts">
import { Options, Vue } from "vue-class-component";

import Navigation from "@/components/navigation/Navigation.vue";

@Options({
  components: {
    Navigation,
  },
})
export default class NavigationView extends Vue {}
</script>

<style lang="scss">
.split-view {
  width: 100%;
  height: 100%;
  display: grid;
  grid-template-columns: 250px 1fr;
  grid-template-rows: 100%;
}
</style>
